package sgc.portal.co.co0104.service;

import org.springframework.stereotype.Service;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.co0104.dto.CO01040001USearch;
import sgc.portal.co.co0104.persistence.CO01040001UMapper;

import java.util.List;

@Service
public class CO01040001UService {
    private final CO01040001UMapper mapper;

    public CO01040001UService(CO01040001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList1(CO01040001USearch search) {
        return mapper.getList1(search);
    }
}
